# Testnet Testing

## Trigger a Graffiti

Call `HeroglyphRelay.executeRelay`. We removed the security on the testnet

{% code overflow="wrap" %}

```solidity
function executeRelay(GraffitiData[] calldata _graffities) external 
    returns (uint256 totalOfExecutions_);
```

{% endcode %}

Where GraffitiData is

```solidity
    struct GraffitiData {
        string validatorName; // validator identity name
        string[] tickers; // tickers in the graffiti, can be empty
        uint32[] lzEndpointTargets; //lzEndpointTargets for each tickers
        uint32 mintedBlock; // block minted
        uint32 slotNumber; // Slot of the block
        string graffitiText; // Graffiti Text -- Only for F-E
        uint32 validatorId; // Validator Id -- Much match the Graffiti ID's validator
    }
```

## Mint $BADGES

If for some reason you want to use badges, you can mint them with

> HeroglyphAttestation.faucet(address \_to)

## Deployed Contracts - Sepolia

<table data-header-hidden><thead><tr><th width="225">Contract Name</th><th>Address</th></tr></thead><tbody><tr><td>NameFilterV1</td><td><pre><code>0xaC5907c4B4B8d34523a02e6421bB84992C058400
</code></pre></td></tr><tr><td>ValidatorIdentityV2</td><td><pre data-full-width="false"><code>0x48bCDb36e473a901527E21eC56bAe930d28C2D4d
</code></pre></td></tr><tr><td>Ticker</td><td><pre><code>0xdD1c1afA241663C6c3Bdb54C5112F0900eFFd52e
</code></pre></td></tr><tr><td>HeroglyphRelay</td><td><pre><code>0x1bAE16B284df79e8562d1bdD9538B2e93a6c40Fc
</code></pre></td></tr><tr><td>HeroglyphAttestation</td><td><pre><code>0xd837D9810a1dC2C45107B3F5C04261C974D2C001
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.heroglyphs.com/heroglyphs/developers/testnet-testing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
